Android版Intellij 13.1.3的渲染问题

在IntelliJ 13.1.3中查看Android应用程序(仅)活动的预览时,出现以下错误:

渲染问题此版本的渲染库比您的IntelliJ IDEA版本更新。 请更新IntelliJ IDEA

任何想法,我要去哪里错了? 这是我做的:

  • 安装IntelliJ 13.1.3终极版。
  • 映射的Android SDK。
  • 确认IntelliJ指向Android SDK的正确安装。
  • 使用“Gradle:Android模块”创build新的Android模块。
  • validation模块编译好。

注:我已经尝试过构build工具版本19,19.0.1,19.1和20。

我的build.gradle

 buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.9.+' } } apply plugin: 'android' repositories { mavenCentral() } android { compileSdkVersion 19 buildToolsVersion "19.1" defaultConfig { minSdkVersion 19 targetSdkVersion 19 versionCode 1 versionName "1.0" } buildTypes { release { runProguard false proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt' } } } dependencies { compile fileTree(dir: 'libs', include: ['*.jar']) compile 'com.android.support:appcompat-v7:19.+' } 

Solutions Collecting From Web of "Android版Intellij 13.1.3的渲染问题"

检查API渲染设置是否低于20.这与构buildSDK不同。

在预览窗口中,渲染API图标是一个带有数字的android,在这种情况下,它将是数字20,通常是预览窗口中第一行的最后一个图标。

我有与Intellij 2016相同的问题,但没有API渲染的辅助选项。 通过在Android SDK Manager中安装“工具(预览Chanel) – > Android SDK Buil-tools”并重新启动Intellij解决了问题。 在这里输入图像说明